package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ProposalUser;

/**
 * 提案人员Service接口
 * 
 * @author boman
 * @date 2024-03-07
 */
public interface IProposalUserService 
{
    /**
     * 查询提案人员
     * 
     * @param id 提案人员主键
     * @return 提案人员
     */
    public ProposalUser selectProposalUserById(Long id);

    /**
     * 查询提案人员列表
     * 
     * @param proposalUser 提案人员
     * @return 提案人员集合
     */
    public List<ProposalUser> selectProposalUserList(ProposalUser proposalUser);

    /**
     * 新增提案人员
     * 
     * @param proposalUser 提案人员
     * @return 结果
     */
    public int insertProposalUser(ProposalUser proposalUser);

    /**
     * 修改提案人员
     * 
     * @param proposalUser 提案人员
     * @return 结果
     */
    public int updateProposalUser(ProposalUser proposalUser);

    /**
     * 批量删除提案人员
     * 
     * @param ids 需要删除的提案人员主键集合
     * @return 结果
     */
    public int deleteProposalUserByIds(Long[] ids);

    /**
     * 删除提案人员信息
     * 
     * @param id 提案人员主键
     * @return 结果
     */
    public int deleteProposalUserById(Long id);

    int verify(ProposalUser proposalUser);
}
